package com.xty.common

import androidx.lifecycle.MutableLiveData
import com.xty.network.model.DeviceFunctionBean
import com.xty.network.model.MainBean
import com.xty.network.model.MusicBean
import com.xty.network.model.RespBody
import com.xty.network.model.SettingBean
import com.xty.network.model.UserEquipmentInformationizationBean
import com.yucheng.ycbtsdk.bean.ScanDeviceBean

class Const {
    companion object{

        //配置列表 1:心率 2:血压 3:血氧 4:体温 5:心电 6:睡眠 7:呼吸率'
        var Xl_SETTING=1
        var DBP_SETTING=2
        var XY_SETTING=3
        var TEMP_SETTING=4
        var XD_SETTING=5
        var SLEEP_SETTING=6
        var BREATH_SETTING=7

        //TimeBack  倒计时时间
        var timeBack=60


        //日 周 月 年 24小时
        var typeDay = 1
        var typeWeek = 2
        var typeMonth = 3
        var typeYear = 4
        var typeHours = 5

        //血压 心率 呼吸率 体温 血氧 血糖
        var xyBloodPressure = 1
        var xlHeartRate = 2
        var hxlBreathingRate = 3
        var twTemperature = 4
        var xyBloodOxygen = 5
        //var uricAcid = 6
        var bloodFatExcep = 6





        //一叶最大数据
        var PAGE_SIZE=10
        //aggremment

        const val AGREEMENT_1=1  //用户协议
        const val AGREEMENT_2=2 //管家协议
        const val AGREEMENT_3=3  //隐私协议
        const val AGREEMENT_4=4  //关于我们
        const val AGREEMENT_6=6  //服务协议
        const val AGREEMENT_9=9  //儿童协议

        const val PROGRAMME_1=1  //最新方案
        const val PROGRAMME_2=2  //历史方案

          var mqtt_host=""
          var mqtt_name=""
          var mqtt_pws=""
          var mqtt_userid=""

        var MQTT_CONNECT=4 //最大连接次数
        var CHAT_IMAGE=""//聊天头像

        var nowMusicBean: MusicBean?=null //正在播放的歌曲
        var musicLoading=false//歌曲是否正在加载中

        val mainLiveData by lazy { MutableLiveData<SettingBean>() }  //个人信息数据
        val otherLiveData by lazy { MutableLiveData<MainBean>() }
        val connectBlueDevice by lazy { ScanDeviceBean() }
        val functionListDate by lazy { MutableLiveData<ArrayList<DeviceFunctionBean>>() }

        val userDeviceLiveData by lazy { MutableLiveData<UserEquipmentInformationizationBean>()}

        var battery = ""//电量信息

        var watchType = -1

        var isDemonstrate = false

        enum class WatchDevice {
            /**蓝牙U32**/
            BlueU32,
            /**4g A3**/
            LightA3
        }

        const val MESSAGE_PREFIX="SN_MSG"

        const val WELCOME_IMG="welcome_img"
        const val WELCOME_DESC="welcome_desc"
        const val WELCOME_BG = "welcome_bg"
        const val ORGAN_ID = "organ_id"

        //

        //手表接收的消息类型
        const val WX_PUSH="wx"
        const val QQ_PUSH="qq"
        const val PHONE_PUSH="phone"
        const val MSG_PUSH="msg"

        //手表设置标签
        const val WHATCH_HAND_SETTING = "Whatch_Hand_Setting"//左右手佩戴位置
        const val WHATCH_WRIST_SCREEN_SETTING = "Whatch_Wrist_Screen_Setting"//抬腕亮屏
        const val WHATCH_SCREEN_LIGHT_SETTING = "Whatch_Screen_Light_Setting"//屏幕亮度
        const val WHATCH_DONT_REMIND_MODE_SETTING = "Whatch_Dont_Remind_Mode_Setting"//勿扰模式
        const val WHATCH_THEME_SIZE = "Whatch_Theme_size"//主题数量
        const val WHATCH_THEME_SETTING = "Whatch_Theme_Setting"//主题设置


        //推送通知标签
        const val NOTICE_FLAG = "JPUSH_NOTICE"

        //版本更新标签
        const val IS_UPDATE_URL_FLAG = "APP_UPDATE_URL"

        const val IS_NEED_UPDATE = "APP_IS_NEED_UPDATE";

        //TOKen 标签
        const val Auth_Token = "Auth-Token"
        const val Auth_Id = "Auth-Id"

        const val USER_ID = "user_id"

        const val Health_Monitoring_Shrinkage = "Health_Monitoring_Shrinkage"

        const val Watch_Device_Type = "Watch_Type"
        const val Blue_Tooth = "Blue_Tooth"
        const val UnReadSysMessageContentKey = "UnRead_Sys_Message_Content_Key"
        const val UnReadSysMessageTimeKey = "UnRead_Sys_Message_Time_Key"
        const val X1_X2_Device = "x1_x2_device"
        const val DEVICE_TYPE = "device_Type"

        const val LONGITUDE = "longitude" //经度
        const val LATITUDE = "latitude" //纬度

        const val PROVINCE = "province" //省
        const val CITY = "city" //市
        const val DISTRICT ="district" //区

        var DeviceIdNum : String = ""

        const val CONVERSATION_UNREAD_COUNT_ACTION = "conversation_unread_count_action"
        const val UNREAD_COUNT_EXTRA = "unread_count_extra"

        const val VERSION_NAME= "appVersion"
        const val VERSION_CODES = "version_code"
//        const val userName = "User_Name"
//        const val userBean = "UserUser"
    }
}