package com.xty.network.model

import java.io.Serializable

data class TongueReportDetailBean(
    val bodyfluidDescribe: String,
    val bodyfluidNames: String, //津液
    val colorOfMossCurveSort: Int,
    val colorOfMossDescribe: String,
    val colorOfMossNames: String, //苔色
    val colorOfTongueCurveSort: Int,
    val colorOfTongueDescribe: String,
    val colorOfTongueNames: String,//舌色
    val constitutionCodes: String,
    val constitutionCurveSort: Int,
    val constitutionDescribe: String,
    val constitutionNames: String, //体质
    val illProbability: IllProbability, //24节气患病率
    val mossDescribe: String,
    val mossNames: String, //苔质
    val ossOriImgUrl: String,
    val ossSplitBackImgUrl: String,
    val ossSplitImgUrl: String,
    val resultConfigId: String,
    val shapeOfTongueDescribe: String,
    val shapeOfTongueNames: String,//舌形
    val syndromesElement: SyndromesElement,//证素
    val treatPlanJson: List<TreatPlanJson>,//健康指导方案
    val veinDescribe: String,
    val veinNames: String //络脉
) : Serializable