package com.xty.network.model

import java.io.Serializable


/**
 * 血糖/糖化血红蛋白详细model
 */
class XTangInfoBean(
    var expireTime: String = "",//过期时间
    var model: Int = -1,   //0 未开通 1：建模中 2：建模完成
    var bloodsugar: Float = 0f,//当前血糖/糖化值
    var avg: Float = 0f,//平均血糖
    var max: Float = 0f,//最高血糖
    var min: Float = 0f,//最低血糖
    var time: String = "",//当前血糖/糖化报告时间
    var introUrl: String,//校准说明图片地址
    var errorMsg: String = "",
    var code: Int = -1,   //0 未开通 1：建模中 2：建模完成
    var hemoglobin: Float? = 0f

) : Serializable {


}