package com.xty.network.model

import com.google.gson.annotations.SerializedName
import java.io.Serializable

data class MessageTypeDataBean (
    var records:ArrayList<MessageTypeBean>,
    var total:Int,
    var size:Int,
    var current:Int
):Serializable{

    data class MessageTypeBean(

        val notifyContent: String,
        val notifyCreateTime: Long,
        val notifyHandStatus: Int,
        val notifyId: String,
        var notifyStatus: Int,
        val notifyTitle: String,
        val notifyType: Int,
        val notifyUserType: Int,
        val remark: Any,
        val type: Int,
        val userId: String,
        val id: String,
        val reportPresetId:String,
        val titleStatus:String,
        val time:String,
        var isChoice:Boolean = false
    ):Serializable{

    }
}