package com.xty.network.model

import java.io.Serializable

data class TreatPlanJson(
    val diagnostic_results: String, //诊断结果
    val diet_rehabilitation: List<DietRehabilitation>,//没用数据
    val diet_rehabilitation_v2022: DietRehabilitationV2022, //饮食调养
    val drug_health_care: List<DrugHealthCare>,//药物保健
    val high_risk_disease: List<HighRiskDisease>,//健康风险
    val main_performance: List<MainPerformance>,//主要表现
    val massage_health_care: List<MassageHealthCare>,//艾灸按摩
    val occur_reason: List<OccurReason>,//发生原因
    val predisposition: List<Predisposition>,//易患病症
    val recuperates: List<Recuperate>,//情志起居调养
    val sports_health_care: List<SportsHealthCare> //运动保健
): Serializable